> For the complete documentation index, see [llms.txt](https://docs.chartbeat.com/cbp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chartbeat.com/cbp/api/headline-testing-api/raw-data.md).

# Raw Data

**Raw data queries** are good for pulling data over custom date ranges, to dig deep into granular metrics.

## Get raw data

<mark style="color:blue;">`GET`</mark> `https://api.chartbeat.com/mab/htapi/v1/experiments/raw_data/`

**Note:** The payload can quickly become large, please use date ranges and limit parameter for a good result set.

#### Query Parameters

| Name                                    | Type    | Description                                                                                                                                                                                                    |
| --------------------------------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| apikey (*see note*)                     | string  | **NOTE**: Your API key should no longer be set as a query param; instead, [pass it in the HTTP header](/cbp/api/headline-testing-api/getting-started-with-our-headline-testing-api.md#required-api-parameters) |
| start<mark style="color:red;">\*</mark> | string  | YYYY-MM-DD                                                                                                                                                                                                     |
| end<mark style="color:red;">\*</mark>   | string  | YYYY-MM-DD                                                                                                                                                                                                     |
| host<mark style="color:red;">\*</mark>  | string  | The site on which you are querying                                                                                                                                                                             |
| limit                                   | integer | Base-10 values only                                                                                                                                                                                            |
| tz<mark style="color:red;">\*</mark>    | string  | The timezone you'd like to run the query in a valid Olson timezone format, e.g. America/New\_York.                                                                                                             |
| status                                  | string  | Choices are 'active', 'archived', 'all'. Defaults to 'all'.                                                                                                                                                    |

{% tabs %}
{% tab title="200 Successful response schema" %}

```json
{
  "status": "string",
  "data": [
    {
      "experiment_id": "string",
      "status": "string",
      "type": "string",
      "model": "string",
      "host": "string",
      "domain": "string",
      "path": "string",
      "location": "string",
      "specific_location": "string",
      "exp_metadata": "string",
      "sections": [
        "string"
      ],
      "created_at": "2023-07-21T20:15:05.971Z",
      "archived_at": "2023-07-21T20:15:05.971Z",
      "activated_at": "2023-07-21T20:15:05.971Z",
      "completed_at": "2023-07-21T20:15:05.971Z",
      "total_outcomes": 0,
      "total_failures": 0,
      "outcome_last_received_at": 0,
      "num_outcomes": 0,
      "payout_coefficients": [
        0
      ],
      "priors": [
        0
      ],
      "num_variants": 0,
      "strategy_last_updated_at": 0,
      "winning_variant": "string",
      "convergence_type": "string",
      "value_remaining": "string",
      "valid": "string",
      "user_id": 0,
      "user_email": "string",
      "engagement_mean": 0,
      "engagement_intervals": [
        0
      ],
      "ctr_mean": 0,
      "probability": 0,
      "ctr_intervals": [
        0
      ],
      "engaged_click_intervals": [
        0
      ],
      "engaged_clicks_mean": 0,
      "outcome_counts": [
        0
      ],
      "content_type": "string",
      "content": "string",
      "variant_id": "string",
      "variant_metadata": "string"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chartbeat.com/cbp/api/headline-testing-api/raw-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
